## gecode 1.3.1

=== contribs/graph/Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 GRAPHSRC		= $(GRAPHSRC0)
 GRAPHHDR		= graph.hh $(GRAPHHDR0)
 GRAPHOBJ		= $(GRAPHSRC:%.cc=%$(OBJSUFFIX))
-GRAPHFLAGS      = -I/usr/local/boost-cvs/ -I../.. $(EXTRALINKFLAGS)
+GRAPHFLAGS      = -I/usr/local/boost-cvs/ -I../.. -I../../gecode $(EXTRALINKFLAGS)
 GRAPHDLL		= $(LIBPREFIX)graph$(DLLSUFFIX)
 GRAPHSTATICLIB	= $(LIBPREFIX)graph$(STATICLIBSUFFIX)
 GRAPHLIB		= $(LIBPREFIX)graph$(LIBSUFFIX)
@@ -101,7 +101,9 @@
 $(GRAPHDLL): $(GRAPHOBJ) $(KERNELDLL) $(INTDLL) $(SETDLL)
 	$(CXX) $(DLLFLAGS) $(GRAPHOBJ)  $(GRAPHFLAGS)\
 		-L. $(LINKKERNEL) $(LINKINT) \
-		-o $(GRAPHDLL)
+		-o $(GRAPHDLL) &&\
+	$(CREATELINK) $@ $(@:%$(DLLSUFFIX)=%$(SOLINKSUFFIX)) && \
+	$(CREATELINK) $@ $(@:%$(DLLSUFFIX)=%$(SOSUFFIX))
 else
 #win
 $(GRAPHDLL) $(GRAPHLIB): $(GRAPHOBJ) $(KERNELDLL) $(INTDLL) $(SETDLL)
