## gecode 3.4.0

=== debian/changelog ===
gecode (3.4.0-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.9.1 (no changes necessary).

 -- Kari Pahula <kaol@debian.org>  Tue, 27 Jul 2010 21:57:51 +0300
