## gecode 3.5.0

=== debian/changelog ===
gecode (3.5.0-2) unstable; urgency=low

  * Merge install target with binary-arch and call dh_prep in both of
    build-{indep,arch}. (Closes: #625175)
  * Added more -l flags to the included examples/Makefile and made it
    gunzip gzipped examples.
  * Standards-Version 3.9.2 (no changes necessary).

 -- Kari Pahula <kaol@debian.org>  Sun, 10 Jul 2011 22:23:09 +0300

gecode (3.5.0-1) unstable; urgency=low

  * New upstream release (soname 27)
  * Don't install /usr/include/examples to libgecode-dev

 -- Kari Pahula <kaol@debian.org>  Sat, 05 Feb 2011 23:56:22 +0200
