=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Build-Depends: debhelper (>= 5), autotools-dev, libqt4-dev, libboost-dev, autoconf, automake
 Build-Conflicts: qt3-dev-tools
 Build-Depends-Indep: graphviz, doxygen
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Section: libs
 Homepage: http://www.gecode.org/
 
 Package: libgecode-dev
 Section: libdevel
 Architecture: any
-Depends: libgecode23 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, libqt4-dev, libboost-dev
+Depends: libgecode27 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, libqt4-dev, libboost-dev
 Suggests: libgecode-doc
 Description: generic constraint development environment
  Gecode is an attempt to construct an open, free, portable, accessible,
@@ -44,7 +44,7 @@
  .
  This package has the API documentation and examples.
 
-Package: libgecode23
+Package: libgecode27
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
