=== debian/rules ===
--- 
+++ 
@@ -45,10 +45,10 @@
 build-arch: build-arch-stamp
 build-arch-stamp: config.status
 	dh_testdir
-	if [ ! -e ChangeLog ] ; then make ChangeLog; fi
+	if [ ! -e ChangeLog ] ; then $(MAKE) ChangeLog; fi
 	$(MAKE) $(MAKEFLAGS)
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	make check LD_LIBRARY_PATH=.
+	$(MAKE) check LD_LIBRARY_PATH=. $(MAKEFLAGS)
 # If you want to spend hours on this, enable this
 # test is disabled on those arches since it's too slow
 #	-if echo $(DEB_BUILD_GNU_TYPE) | grep -vcE '^(arm|m68k)' ; then $(MAKE) test && LD_LIBRARY_PATH=. test/test ; fi
@@ -79,24 +79,14 @@
 	rm -f configure gecode/support/config.hpp.in
 	dh_clean 
 
-# there's no install-indep since that has only doc which stays in doc/
-install: build-arch
-	dh_testdir
-	dh_testroot
-	dh_clean -k 
-	dh_installdirs
-
-	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
-
-
 # Build architecture-independent files here.
 binary-indep: build-indep
 	dh_testdir
 	dh_testroot
-	dh_install -i
+	dh_prep -i
 	dh_installchangelogs -i ChangeLog
 	dh_installdocs -i
-	dh_installexamples -i
+	dh_install -i
 	chmod -x $(CURDIR)/debian/libgecode-doc/usr/share/doc/libgecode-doc/examples/*
 	install -m 0644 -D debian/Makefile.examples $(CURDIR)/debian/libgecode-doc/usr/share/doc/libgecode-doc/examples/Makefile
 	dh_compress -i
@@ -107,9 +97,12 @@
 	dh_builddeb -i
 
 # Build architecture-dependent files here.
-binary-arch: build-arch install
+binary-arch: build-arch
 	dh_testdir
 	dh_testroot
+	dh_prep -a
+	dh_installdirs -a
+	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
 	dh_installchangelogs -a ChangeLog
 	dh_installdocs -a
 	dh_install -a
