## gecode 3.7.1

=== debian/changelog ===
gecode (3.7.1-2) unstable; urgency=low

  * Use -O2 on mipsel to avoid FTBFS with getting stuck at building
    gecode/set/branch/post-view.cpp.

 -- Kari Pahula <kaol@debian.org>  Sun, 16 Oct 2011 11:05:58 +0300

gecode (3.7.1-1) unstable; urgency=low

  * New upstream release (soname 30)

 -- Kari Pahula <kaol@debian.org>  Wed, 12 Oct 2011 18:14:44 +0300

gecode (3.7.0-1) unstable; urgency=low

  * New upstream release (soname 29)
  * Split off libgecodegist and libgecodedriver to libgecodegist29
    package. (Closes: #625757)
  * Moved flatzinc to its own package and split off libgecodeflatzinc29 to
    a separate package too.

 -- Kari Pahula <kaol@debian.org>  Tue, 06 Sep 2011 23:22:18 +0300

gecode (3.6.0-1) unstable; urgency=low

  * New upstream release (soname 28)

 -- Kari Pahula <kaol@debian.org>  Mon, 08 Aug 2011 00:02:44 +0300
