=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: libgecode-dev
 Section: libdevel
 Architecture: any
-Depends: libgecode27 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, libqt4-dev, libboost-dev
+Depends: libgecode30 (= ${binary:Version}), libgecodegist30 (= ${binary:Version}), libgecodeflatzinc30 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, libqt4-dev, libboost-dev
 Suggests: libgecode-doc
 Description: generic constraint development environment
  Gecode is an attempt to construct an open, free, portable, accessible,
@@ -44,7 +44,7 @@
  .
  This package has the API documentation and examples.
 
-Package: libgecode27
+Package: libgecode30
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -60,3 +60,59 @@
  and search engines. New variable domains can be programmed at the same
  level of efficiency as finite domain and integer set variables that
  come predefined with Gecode.
+
+Package: libgecodegist30
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: libgecode-dev
+Description: Gecode Interactive Search Tool library
+ Gecode is an attempt to construct an open, free, portable, accessible,
+ and efficient environment for developing constraint-based systems and
+ applications.
+ .
+ This package contains libgecodegist, a graphical debugging tool, and
+ libgecodedriver, a set of helper classes for writing standalone
+ programs.  They have been separated from the main Gecode library
+ package to avoid pulling in Qt as a dependency.
+
+Package: libgecodeflatzinc30
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: libgecode-dev
+Homepage: http://www.gecode.org/flatzinc.html
+Description: Gecode support for FlatZinc modelling language
+ Gecode is an attempt to construct an open, free, portable, accessible,
+ and efficient environment for developing constraint-based systems and
+ applications.
+ .
+ FlatZinc is a low-level modelling language for constraint
+ problems. It is designed to be easily interfaceable to constraint
+ solvers (like Gecode). For more information on FlatZinc, please refer
+ to the MiniZinc pages of the G12 project
+ <http://www.g12.cs.mu.oz.au/minizinc/>.
+
+
+Package: flatzinc
+Section: devel
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: libgecode-dev (<< 3.7.0)
+Homepage: http://www.gecode.org/flatzinc.html
+Description: constraint problem modelling language
+ FlatZinc is a low-level modelling language for constraint
+ problems. It is designed to be easily interfaceable to constraint
+ solvers (like Gecode). For more information on FlatZinc, please refer
+ to the MiniZinc pages of the G12 project
+ <http://www.g12.cs.mu.oz.au/minizinc/>.
+ .
+ We provide a parser that reads a FlatZinc model from a file, and
+ returns a Gecode Space object that represents the model. We also
+ provide a simple front-end, an executable program that reads a
+ FlatZinc model and prints the solution (if any) on the standard
+ output.
+ .
+ The FlatZinc interpreter that ships with Gecode version 3.7.1
+ supports the FlatZinc language and MiniZinc global constraint
+ definitions of MiniZinc version 1.4.0.
