=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
-ifeq (ia64,$(DEB_HOST_ARCH))
+ifneq (,$(filter ia64 mipsel,$(DEB_HOST_ARCH)))
 	CFLAGS += -O2
 else
 	CFLAGS += -O3
