## gecode 3.7.3

=== debian/changelog ===
gecode (3.7.3-1) unstable; urgency=low

  * New upstream release (soname 32)

 -- Kari Pahula <kaol@debian.org>  Sun, 01 Apr 2012 00:16:09 +0300

gecode (3.7.2-1) unstable; urgency=low

  * New upstream release (soname 31)
  * Standards-Version 3.9.3 (no changes necessary).
  * Use cdbs and dh_autoreconf.
  * Multi-Arch: same.
  * Remove unused libboost-dev from build deps.

 -- Kari Pahula <kaol@debian.org>  Sat, 31 Mar 2012 11:33:21 +0300

gecode (3.7.1-3) unstable; urgency=low

  * Patch channel constraint posting bug
    (http://www.gecode.org/pipermail/users/2011-October/003453.html)
  * Patch sorted constraint seg faults with empty arrays
    (http://www.gecode.org/pipermail/users/2011-November/003456.html)

 -- Kari Pahula <kaol@debian.org>  Thu, 17 Nov 2011 20:17:30 +0200
