=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: gecode
 Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: debhelper (>= 5), autotools-dev, libqt4-dev, libboost-dev, autoconf, automake
+Build-Depends: debhelper (>= 8.1.3), autotools-dev, libqt4-dev, cdbs (>= 0.4.93~), dh-autoreconf
 Build-Conflicts: qt3-dev-tools
 Build-Depends-Indep: graphviz, doxygen
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: libs
 Homepage: http://www.gecode.org/
 
 Package: libgecode-dev
 Section: libdevel
 Architecture: any
-Depends: libgecode30 (= ${binary:Version}), libgecodegist30 (= ${binary:Version}), libgecodeflatzinc30 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, libqt4-dev, libboost-dev
+Depends: libgecode32 (= ${binary:Version}), libgecodegist32 (= ${binary:Version}), libgecodeflatzinc32 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, libqt4-dev, libboost-dev
 Suggests: libgecode-doc
 Description: generic constraint development environment
  Gecode is an attempt to construct an open, free, portable, accessible,
@@ -44,10 +44,11 @@
  .
  This package has the API documentation and examples.
 
-Package: libgecode30
+Package: libgecode32
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: libgecode-dev
 Description: generic constraint development environment
  Gecode is an attempt to construct an open, free, portable, accessible,
@@ -61,10 +62,11 @@
  level of efficiency as finite domain and integer set variables that
  come predefined with Gecode.
 
-Package: libgecodegist30
+Package: libgecodegist32
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: libgecode-dev
 Description: Gecode Interactive Search Tool library
  Gecode is an attempt to construct an open, free, portable, accessible,
@@ -76,10 +78,11 @@
  programs.  They have been separated from the main Gecode library
  package to avoid pulling in Qt as a dependency.
 
-Package: libgecodeflatzinc30
+Package: libgecodeflatzinc32
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: libgecode-dev
 Homepage: http://www.gecode.org/flatzinc.html
 Description: Gecode support for FlatZinc modelling language
