=== debian/changelog ===
gecode (4.0.0-2) unstable; urgency=low

  * Give make check LD_LIBRARY_PATH=. to make test work without gecode
    already installed, to fix FTBFS.

 -- Kari Pahula <kaol@debian.org>  Sat, 25 May 2013 15:57:32 +0300

gecode (4.0.0-1) unstable; urgency=low

  * New upstream release (soname 33)
  * Standards-Version 3.9.4 (no changes necessary).
  * Compress debs with xz.
  * Make sure that the hardening flags get passed to gecode's build
    scripts.
  * Added build-dep libmpfr-dev.

 -- Kari Pahula <kaol@debian.org>  Mon, 20 May 2013 22:01:23 +0300
