=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: gecode
 Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: debhelper (>= 8.1.3), autotools-dev, libqt4-dev, cdbs (>= 0.4.93~), dh-autoreconf
+Build-Depends: debhelper (>= 8.1.3), autotools-dev, libqt4-dev, cdbs (>= 0.4.93~), dh-autoreconf, libmpfr-dev
 Build-Conflicts: qt3-dev-tools
 Build-Depends-Indep: graphviz, doxygen
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: libs
 Homepage: http://www.gecode.org/
 
 Package: libgecode-dev
 Section: libdevel
 Architecture: any
-Depends: libgecode32 (= ${binary:Version}), libgecodegist32 (= ${binary:Version}), libgecodeflatzinc32 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, libqt4-dev, libboost-dev
+Depends: libgecode33 (= ${binary:Version}), libgecodegist33 (= ${binary:Version}), libgecodeflatzinc33 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, libqt4-dev, libmpfr-dev
 Suggests: libgecode-doc
 Description: generic constraint development environment
  Gecode is an attempt to construct an open, free, portable, accessible,
@@ -44,7 +44,7 @@
  .
  This package has the API documentation and examples.
 
-Package: libgecode32
+Package: libgecode33
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -62,7 +62,7 @@
  level of efficiency as finite domain and integer set variables that
  come predefined with Gecode.
 
-Package: libgecodegist32
+Package: libgecodegist33
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -78,7 +78,7 @@
  programs.  They have been separated from the main Gecode library
  package to avoid pulling in Qt as a dependency.
 
-Package: libgecodeflatzinc32
+Package: libgecodeflatzinc33
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -116,6 +116,6 @@
  FlatZinc model and prints the solution (if any) on the standard
  output.
  .
- The FlatZinc interpreter that ships with Gecode version 3.7.1
+ The FlatZinc interpreter that ships with Gecode version 4.0.0
  supports the FlatZinc language and MiniZinc global constraint
- definitions of MiniZinc version 1.4.0.
+ definitions of MiniZinc version 1.6.0.
